Bug 213278 - devel/radare2: Update to 1.0.2
Summary: devel/radare2: Update to 1.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason E. Hale
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2016-10-07 15:50 UTC by Michael Zhilin
Modified: 2016-12-09 08:07 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (torres.73a)


Attachments
SVN patch to update devel/radare2 to v.0.10.6 (9.13 KB, patch)
2016-10-07 15:50 UTC, Michael Zhilin
koobs: maintainer-approval+
Details | Diff
SVN patch file for radare 1.0.2 (9.96 KB, patch)
2016-11-20 15:25 UTC, Michael Zhilin
jhale: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Zhilin 2016-10-07 15:50:52 UTC
Created attachment 175503 [details]
SVN patch to update devel/radare2 to v.0.10.6

Hi,

Here is patch to update devel/radare2 to v.0.10.6. It also introduces folder "files" to fix compilation issue of this version, but fix is already committed in upstream. 

https://github.com/radare/radare2/commit/008039902160731a0c02ca027af4a75766297097
Comment 1 Michael Zhilin 2016-10-07 15:52:56 UTC
Testing: portlint & porttest for 11-RC.3 (can't attach due to size limits) are fine
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-21 10:56:49 UTC
Comment on attachment 175503 [details]
SVN patch to update devel/radare2 to v.0.10.6

Maintainer timeout (3 weeks), implicit approval
Comment 3 Michael Zhilin 2016-11-20 15:25:09 UTC
Created attachment 177211 [details]
SVN patch file for radare 1.0.2

Hi,

Rebased to last port changes & updated version to 1.0.2. 
At least it works for me (FreeBSD 12-CURRENT). Portlint is fine.
Comment 4 Jason E. Hale freebsd_committer 2016-12-09 08:06:11 UTC
Comment on attachment 177211 [details]
SVN patch file for radare 1.0.2

Maintainer timeout (implicit approval).
Comment 5 commit-hook freebsd_committer 2016-12-09 08:06:50 UTC
A commit references this bug:

Author: jhale
Date: Fri Dec  9 08:06:41 UTC 2016
New revision: 428171
URL: https://svnweb.freebsd.org/changeset/ports/428171

Log:
  Update to 1.0.2

  PR:		213278
  Submitted by:	Michael Zhilin <mizhka@gmail.com>
  Approved by:	maintainer timeout

Changes:
  head/devel/radare2/Makefile
  head/devel/radare2/distinfo
  head/devel/radare2/pkg-plist
Comment 6 Jason E. Hale freebsd_committer 2016-12-09 08:07:52 UTC
Committed, thanks!